<div class="create-chatRoom">

  <mat-form-field  class='create-input' appearance="fill">
    <mat-label>ChatRoom name</mat-label>
    <input [(ngModel)]="chatRoomName" matInput>
  </mat-form-field>

  <mat-form-field  class='create-input' appearance="fill">
    <mat-label>Description</mat-label>
    <input [(ngModel)]="chatRoomDescription" matInput>
  </mat-form-field>

  <div>
    <mat-form-field class="create-input create-input-users">
      <input type="text" placeholder="Select Users" aria-label="Select Users" matInput [matAutocomplete]="auto" >
      <mat-hint>Enter text to find users by name</mat-hint>
    </mat-form-field>

    <mat-autocomplete #auto="matAutocomplete">
      <mat-option *ngFor="let user of allChatUsers" [value]="user.username">
        <div (click)="optionClicked($event, user)">
          <mat-checkbox [checked]="user.selected" (change)="toggleSelection(user)" (click)="$event.stopPropagation()">
            <svg class="autocomplete-image" [data-jdenticon-value]="user.username"></svg>
            {{ user.username + ' ' + user.firstname + ' ' + user.lastname}}
          </mat-checkbox>
        </div>
      </mat-option>
    </mat-autocomplete>

    <br><br>

    <div>
      <label class='selected-users-label'>Selected users</label>
    </div>
    <div class='selected-users'>
      <mat-list dense>
        <!-- <mat-list-item *ngIf="selectedChatUsers?.length === 0">(None)</mat-list-item> -->
        <mat-list-item  *ngFor="let user of selectedChatUsers">
          <div class='selected-user'>
          <svg class="autocomplete-image" [data-jdenticon-value]="user.username"></svg>
            {{ user.username + ' ' + user.firstname + ' ' + user.lastname}}
          </div>
          <mat-divider style="color: #eeee"></mat-divider>
        </mat-list-item>
      </mat-list>
    </div>

  </div>

</div>

<div class='create-btn-div'>
  <button (click)="onBtnClick()" mat-raised-button color='create-btn'>Create ChatRoom</button>
</div>
